﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
	/// <summary>
	/// Ghra_Staff (服务)
	/// </summary>
    public class Ghra_StaffServices : BaseServices<Ghra_Staff, Ghra_StaffDto, InsertGhra_StaffInput, EditGhra_StaffInput>, IGhra_StaffServices
    {
        private readonly IBaseRepository<Ghra_Staff> _dal;
        public Ghra_StaffServices(ICaching caching, IBaseRepository<Ghra_Staff> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}