﻿
using Tiobon.Core.IServices;
using Tiobon.Core.Model.Models;
using Tiobon.Core.Services.BASE;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Common.Caches;

namespace Tiobon.Core.Services
{
    /// <summary>
    /// 课程场景 (服务)
    /// </summary>
    public class Ghre_CourseSceneServices : BaseServices<Ghre_CourseScene, Ghre_CourseSceneDto, InsertGhre_CourseSceneInput, EditGhre_CourseSceneInput>, IGhre_CourseSceneServices
    {
        private readonly IBaseRepository<Ghre_CourseScene> _dal;
        public Ghre_CourseSceneServices(ICaching caching, IBaseRepository<Ghre_CourseScene> dal)
        {
            this._dal = dal;
            base.BaseDal = dal;
            base._caching = caching;
        }
    }
}